
Audacious - Bug #159

Huge memory consumption in windows 7 SP1 with Audacious 3.2.4

August 07, 2012 15:43 - Dusan Zahumensky

Status: Closed Start date: August 07, 2012

Priority: Major Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.2.4   

Description

Hi guys,

Could you check my issue? I found that this program allocate around 8MB at 1st start. It seems to be ok, but after couple of minutes

this amount is higher and after 15 minutes is around 15-20 MB, but I didn't do anything, no listening music, any changes in settings.

When I played some songs after 30 minutes it takes 50MB and more in memory. Why? Can you check it and fix it, because Winamp

didn't have the same problem. BTW: it's great program and in couple of days I want to migrate from windows to unix :).

Thanks for help.

Dusan

History

#1 - August 08, 2012 00:25 - John Lindgren

- Category deleted (core)

- Assignee deleted (John Lindgren)

#2 - August 08, 2012 00:28 - John Lindgren

The Windows version is in somewhat bad shape right now.  Once 3.3 is running on Windows I will try to look for this memory leak.

#3 - August 10, 2012 02:35 - John Lindgren

Running current Git version, I see constant memory usage of 30-31 MB here on Windows XP.  (I loaded 1.7 GB of MP3 and Ogg Vorbis and let it play

for half an hour.)  Will test 3.2.4 to see how it compares.

#4 - August 10, 2012 03:16 - John Lindgren

Hmm, I can confirm the problem with 3.2.4.  For me it uses 19 MB after loading the same 1.7 GB of music and gradually creeps up to over 50 MB

when I let it play for half an hour.

#5 - August 12, 2012 15:03 - John Lindgren

- Target version deleted (38)

Please see if this is fixed in Audacious 3.3.1.

#6 - August 13, 2012 09:50 - Dusan Zahumensky

Perfect, it seems to be fixed. Well done.

#7 - August 14, 2012 02:39 - John Lindgren

- Status changed from New to Closed

#8 - August 14, 2012 02:39 - John Lindgren

April 28, 2024 1/2



- % Done changed from 0 to 100
